<?php

namespace Drupal\mapsemble\Controller;

use Drupal\mapsemble\Entity\MapsembleMap;

/**
 * Controller for bare content without site theming.
 */
class PopupController extends MapsembleContentControllerBase {

  /**
   * {@inheritdoc}
   */
  public function getViewMode(MapsembleMap $mapsembleMap): string {
    return $mapsembleMap->get('config')['popup_view_mode'] ?? 'default';
  }

}
